// ==========================================================================
// $Id: Message.java,v 1.1 2002/09/09 20:12:30 hitoshi Exp $
// Message output 
// ==========================================================================
// Copyright (C) 2002 Yamauchi, Hitoshi
//
//   Max-Planck-Institut fuer Informatik AG4
//   Stuhlsatzenhausweg 85, 66123 Saarbruecken
//   http://www.mpi-sb.mpg.de/
//
// This software can be redistributed only under GNU copyleft.
// 
// @author Yamauchi Hitoshi »³Æâ ÀÆ
// Email:   hitoshi@mpi-sb.mpg.de
// ==========================================================================
// $Revision: 1.1 $
// $Date: 2002/09/09 20:12:30 $
// $Author: hitoshi $
// ==========================================================================
package de.mpg.mpisb.timerclock;

import java.io.*;
    
/**
 * Message is redirector of output message.
 */
public final class Message 
{
  /** 
   * output : usual output
   * @param message output message
   */
  public static void out(String message)
  {
    System.out.println(message);
  }

  /** 
   * output : warning output
   * @param message warning message
   */
  public static void warnOut(String message)
  {
    System.out.println("Warning! : " + message);
  }

  /** 
   * output : error output
   * @param message warning message
   */
  public static void errOut(String message)
  {
    System.out.println("Error! : " + message);
  }

  /** 
   * verbose out control
   * @param isVerbose if true, set the mode verbose.
   */
  private static boolean MIsVerboseMode = false;
  public  static void    setVerboseMode(boolean isVerbose)  
  {
    MIsVerboseMode = isVerbose;    
  }
  /** 
   * is verbose
   * @return verbose mode when true.
   */
  public  static boolean isVerboseMode()  
  {
    return(MIsVerboseMode);
  }
  /** 
   * output : verbose out 
   * @param message verbose message
   */
  public static void verboseOut(String message)
  {
    if(MIsVerboseMode)
    {
      System.out.print("[Verbose]: " + message);
    }
  }
}
